Name:		gwhere
Summary:	Removable media catalog management
Version:	0.2.3
Release:	1%{?dist}
License:	GPL
Source0:	http://www.gwhere.org/download/sources/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Group:		Applications/Productivity
URL:		http://www.gwhere.org
BuildRequires:	autoconf automake libtool
BuildRequires:	gtk2-devel zlib-devel gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Patch0:		gwhere-autotools.patch
Patch1:		gwhere-reload.patch
Patch2:		gwhere-fs.patch


%description

GWhere allows to manage a database of yours CDs and others removable media
(hard disks, floppy drive, Zip drive, CD-ROM, etc...). With GWhere it's easy
to browse yours CDs or to make quick search without need to insert yours CDs
in the drive at each once.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale install

# remove libtool products
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.so
find $RPM_BUILD_ROOT/%{_libdir}/%{name} -name \*.la -exec rm {} ';'

desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category X-Fedora %{SOURCE1}

# remove non-unix locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/cs-windows-1250

# convert man pages to UTF-8
for file in $RPM_BUILD_ROOT%{_mandir}/man1/*; do
	iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
	mv "${file}_" "$file"
done


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog ChangeLog.fr
%{_bindir}/%{name}
%{_libdir}/libgw*.so.*
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man1/gwhere.1*
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Sat Jul 14 2007 Dan Horak <dan[at]danny.cz> 0.2.3-1
- initial version
